### Hierarchy

- MatchRunner

## Index

### Constructors

- constructor

### Properties

- gameServerSocket
- playerTokens
- pubSub

### Methods

- convertPlayerTokenToPlayerName
- onGameEnded
- onMatchCreated
- onMatchEnded
- sendGameServerHandoffToPlayers
- sendMatchToGameServer
- updateMatchStats

## Constructors

### constructor

- new MatchRunner(match: Match, tournamentID: string, gameServerAddress: GameServerAddress): MatchRunner

- - Defined in lobby/tournament/MatchRunner.ts:14

  #### Parameters

  - ##### match: Match

  - ##### tournamentID: string

  - ##### gameServerAddress: GameServerAddress

  #### Returns MatchRunner

## Properties

### Private gameServerSocket

gameServerSocket: Socket<DefaultEventsMap, DefaultEventsMap>

- Defined in lobby/tournament/MatchRunner.ts:11

### Private playerTokens

playerTokens: {}

- Defined in lobby/tournament/MatchRunner.ts:12

#### Type declaration

- ##### [name: string]: string

### Private pubSub

pubSub: default

- Defined in lobby/tournament/MatchRunner.ts:10

## Methods

### Private convertPlayerTokenToPlayerName

- convertPlayerTokenToPlayerName(tokenToConvert: string): string

- - Defined in lobby/tournament/MatchRunner.ts:118

  #### Parameters

  - ##### tokenToConvert: string

  #### Returns string

### Private onGameEnded

- onGameEnded(game: Game): void

- - Defined in lobby/tournament/MatchRunner.ts:57

  #### Parameters

  - ##### game: Game

  #### Returns void

### Private onMatchCreated

- onMatchCreated(message: MatchCreatedMessage): void

- - Defined in lobby/tournament/MatchRunner.ts:34

  #### Parameters

  - ##### message: MatchCreatedMessage

  #### Returns void

### Private onMatchEnded

- onMatchEnded(matchFromGameServer: Match): void

- - Defined in lobby/tournament/MatchRunner.ts:73

  #### Parameters

  - ##### matchFromGameServer: Match

  #### Returns void

### Private sendGameServerHandoffToPlayers

- sendGameServerHandoffToPlayers(): void

- - Defined in lobby/tournament/MatchRunner.ts:41

  #### Returns void

### Private sendMatchToGameServer

- sendMatchToGameServer(): void

- - Defined in lobby/tournament/MatchRunner.ts:28

  #### Returns void

### Private updateMatchStats

- updateMatchStats(): void

- - Defined in lobby/tournament/MatchRunner.ts:93

  #### Returns void

Generated using TypeDoc